--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Authentication scheme.
  name: scheme
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Authentication filter for handling Negotiate/NTLM negotiation. Used in ProxyAuth.
- !ruby/struct:SM::Flow::P 
  body: SSPINegotiateAuth depends on 'win32/sspi' module.
constants: []

full_name: HTTPClient::SSPINegotiateAuth
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: challenge
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: reset_challenge
- !ruby/object:RI::MethodSummary 
  name: set
name: SSPINegotiateAuth
superclass: Object
